Bug 466541 - edits /etc/services in %post
edits /etc/services in %post
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: conserver (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
:
: 577748 620819 (view as bug list)
Depends On:
Blocks: 667118
  Show dependency treegraph
 
Reported: 2008-10-10 15:54 EDT by Bill Nottingham
Modified: 2014-03-16 23:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:39:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix this bug and bug 620819 (809 bytes, patch)
2011-01-04 09:34 EST, Paolo Bonzini
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2008-10-10 15:54:08 EDT
Description of problem:

Editing another package's %config file isn't really nice (and makes it hard to update that package cleanly.

What should probably be done is register the service with IANA so it can be included in setup proper, or add it there via a patch.

Version-Release number of selected component (if applicable):

conserver-8.1.16-5.fc10

How reproducible:

Every time
Comment 1 Bug Zapper 2008-11-25 22:45:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-18 03:33:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Michal Schmidt 2010-06-07 09:34:27 EDT
*** Bug 577748 has been marked as a duplicate of this bug. ***
Comment 4 David Tardon 2010-07-16 02:40:44 EDT
ping
Comment 5 Bug Zapper 2010-11-04 07:45:39 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Paolo Bonzini 2011-01-04 09:31:43 EST
*** Bug 620819 has been marked as a duplicate of this bug. ***
Comment 7 Paolo Bonzini 2011-01-04 09:34:05 EST
Created attachment 471676 [details]
patch to fix this bug and bug 620819
Comment 8 Patrick Laughton 2011-01-25 22:33:23 EST
Updated, patched, and built for Rawhide: http://koji.fedoraproject.org/koji/buildinfo?buildID=215621

I'll be happy to backport the patch for F14 if it's generally deemed good.

I apologize for dropping the ball on this; it's truly inexcusable.
Comment 9 Paolo Bonzini 2011-01-31 06:50:07 EST
Patrick,

--with-uds completely changes the behavior of the console client:

  -Mmaster   The console client  program  polls  master  as  the  primary
             server,  rather  than the default set at compile time (typi‐
             cally ``console'').  The default master may  be  changed  at
             compile  time using the --with-master option.  If --with-uds
             is used to enable Unix domain sockets, however, this  option
             points  console  to the directory which holds those sockets.
             The default master  directory  (``/tmp/conserver'')  may  be
             changed at compile time using the --with-uds option.

  -pport     Set  the port to connect to.  This may be either a port num‐
             ber or a service name.  The default port may be  changed  at
             compile  time  using the --with-port option.  If the --with-
             uds option was used, this option is ignored.

Please, remove it and rebuild the package!  With that fixed, however, I think it's good to go for F14 as well.
Comment 10 Paolo Bonzini 2011-02-09 07:44:06 EST
Thanks, you can backport safely now.
Comment 11 Fedora End Of Life 2012-08-16 17:39:31 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.